# Uses of Enum
org.apache.sling.feature.extension.apiregions.api.artifacts.Mode

Packages that use Mode
Package
Description
org.apache.sling.feature.extension.apiregions.api.artifacts

## Uses of Mode in org.apache.sling.feature.extension.apiregions.api.artifacts

Methods in org.apache.sling.feature.extension.apiregions.api.artifacts that return Mode
Modifier and Type
Method
Description
`Mode`
ArtifactRules.`getMode()`
Get the validation mode.
`Mode`
VersionRule.`getMode()`
Get the validation mode.
`static Mode`
Mode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Mode[]`
Mode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.sling.feature.extension.apiregions.api.artifacts with parameters of type Mode
Modifier and Type
Method
Description
`void`
ArtifactRules.`setMode(Mode value)`
Set the validation mode
`void`
VersionRule.`setMode(Mode value)`
Set the validation mode